--- old/usr/src/uts/sun4u/opl/Makefile.targ	2013-12-14 21:35:03.749697151 -0500
+++ new/usr/src/uts/sun4u/opl/Makefile.targ	2013-12-14 21:35:03.755310914 -0500
@@ -1,3 +1,4 @@
+#
 # CDDL HEADER START
 #
 # The contents of this file are subject to the terms of the
@@ -17,12 +18,84 @@
 #
 # CDDL HEADER END
 #
-# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+# Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
+#
+#	Common targets for sun4u opl implementation specific modules.
+#
+# uts/sun4u/opl/Makefile.targ
+#
+
+.KEEP_STATE:
+
+#
+# Rules for implementation subdirectories.
 #
+$(ROOT_OPL_DIR): $(ROOT_PLAT_DIR)
+	-$(INS.dir)
+
+$(ROOT_OPL_MOD_DIR): $(ROOT_OPL_DIR)
+	-$(INS.dir)
+
+$(ROOT_OPL_DRV_DIR_32): $(ROOT_OPL_MOD_DIR)
+	-$(INS.dir)
+
+$(ROOT_OPL_DRV_DIR_64): $(ROOT_OPL_DRV_DIR_32)
+	-$(INS.dir)
+
+$(ROOT_OPL_CPU_DIR_32): $(ROOT_OPL_MOD_DIR)
+	-$(INS.dir)
+
+$(ROOT_OPL_CPU_DIR_64): $(ROOT_OPL_CPU_DIR_32)
+	-$(INS.dir)
+
+$(ROOT_OPL_MISC_DIR_32): $(ROOT_OPL_MOD_DIR)
+	-$(INS.dir)
+
+$(ROOT_OPL_MISC_DIR_64): $(ROOT_OPL_MISC_DIR_32)
+	-$(INS.dir)
 
-UTSTREE=$(UTSBASE)
+$(ROOT_OPL_CRYPTO_DIR_32): $(ROOT_OPL_MOD_DIR)
+	-$(INS.dir)
 
-include $(UTSBASE)/sun4u/opl/Makefile.targ.shared
+$(ROOT_OPL_CRYPTO_DIR_64): $(ROOT_OPL_CRYPTO_DIR_32)
+	-$(INS.dir)
+
+$(USR_OPL_DIR): $(USR_PLAT_DIR)
+	-$(INS.dir)
+
+$(USR_OPL_INC_DIR): $(USR_OPL_DIR) $(USR_PSM_INCL_DIR)
+	$(INS.slink4)
+
+$(USR_OPL_SBIN_DIR):	$(USR_OPL_DIR) $(USR_PSM_SBIN_DIR)
+	$(INS.dir)
+
+$(USR_OPL_SBIN_PRTDIAG): $(USR_OPL_SBIN_DIR)
+	$(RM) -r $@; $(SYMLINK) ../../$(PLATFORM)/sbin/prtdiag $@
+
+$(USR_OPL_SBIN_FRUADM): $(USR_OPL_SBIN_DIR)
+	$(RM) -r $@; $(SYMLINK) ../../$(PLATFORM)/sbin/fruadm $@
+
+$(USR_OPL_LIB_DIR):	$(USR_OPL_DIR) $(USR_PSM_LIB_DIR)
+	-$(INS.dir)
+
+$(USR_OPL_ISYS_DIR): $(USR_OPL_INC_DIR)
+	$(INS.dir)
+
+$(ROOT_OPL_KERN_DIR)/%: $(OBJS_DIR)/% $(ROOT_OPL_KERN_DIR) FRC
+	$(INS.file)
+
+$(ROOT_OPL_DRV_DIR)/%: $(OBJS_DIR)/% $(ROOT_OPL_DRV_DIR) FRC
+	$(INS.file)
+
+$(ROOT_OPL_CPU_DIR)/%: $(OBJS_DIR)/% $(ROOT_OPL_CPU_DIR) FRC
+	$(INS.file)
+
+$(ROOT_OPL_MISC_DIR)/%: $(OBJS_DIR)/% $(ROOT_OPL_MISC_DIR) FRC
+	$(INS.file)
+
+#
+#	Include common targets.
+#
+include $(UTSBASE)/sun4u/opl/Makefile.rules
+include $(UTSBASE)/sun4u/Makefile.targ
